
typedef WdWindowState int
	const wdWindowStateNormal = 0
	const wdWindowStateMaximize = 1
	const wdWindowStateMinimize = 2

typedef WdNewDocumentType int
	const wdNewBlankDocument = 0
	const wdNewWebPage = 1
	const wdNewEmailMessage = 2
	const wdNewFrameset = 3
	const wdNewXMLDocument = 4

typedef WdColorIndex int
	const wdAuto = 0
	const wdBlack = 1
	const wdBlue = 2
	const wdTurquoise = 3
	const wdBrightGreen = 4
	const wdPink = 5
	const wdRed = 6
	const wdYellow = 7
	const wdWhite = 8
	const wdDarkBlue = 9
	const wdTeal = 10
	const wdGreen = 11
	const wdViolet = 12
	const wdDarkRed = 13
	const wdDarkYellow = 14
	const wdGray50 = 15
	const wdGray25 = 16
	const wdByAuthor = 0xffffffff
	const wdNoHighlight = 0


interface _Application
	stdmethod QueryInterface(pointer riid,pointer ppvObject),HRESULT
	stdmethod AddRef(),ULONG
	stdmethod Release(),ULONG
	stdmethod GetTypeInfoCount(pointer pctinfo),HRESULT
	stdmethod GetTypeInfo(UINT iTInfo,LCID lcid,pointer ppTInfo),HRESULT
	stdmethod GetIDsOfNames(pointer riid,pointer rgszNames,UINT cNames,LCID lcid,pointer rgDispId),HRESULT
	stdmethod Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,USHORT wFlags,pointer pDispParams,pointer pVarResult,pointer pExcepInfo,pointer puArgErr),HRESULT

	stdmethod get_Application(pointer ppRetval),HRESULT
	stdmethod get_Creator(pointer ppRetval),HRESULT
	stdmethod get_Parent(pointer ppRetval),HRESULT
	stdmethod get_Name(pointer ppRetval),HRESULT
	stdmethod get_Documents(pointer ppRetval),HRESULT
	stdmethod get_Windows(pointer ppRetval),HRESULT
	stdmethod get_ActiveDocument(pointer ppRetval),HRESULT
	stdmethod get_ActiveWindow(pointer ppRetval),HRESULT
	stdmethod get_Selection(pointer ppRetval),HRESULT
	stdmethod get_WordBasic(pointer ppRetval),HRESULT
	stdmethod get_RecentFiles(pointer ppRetval),HRESULT
	stdmethod get_NormalTemplate(pointer ppRetval),HRESULT
	stdmethod get_System(pointer ppRetval),HRESULT
	stdmethod get_AutoCorrect(pointer ppRetval),HRESULT
	stdmethod get_FontNames(pointer ppRetval),HRESULT
	stdmethod get_LandscapeFontNames(pointer ppRetval),HRESULT
	stdmethod get_PortraitFontNames(pointer ppRetval),HRESULT
	stdmethod get_Languages(pointer ppRetval),HRESULT
	stdmethod get_Assistant(pointer ppRetval),HRESULT
	stdmethod get_Browser(pointer ppRetval),HRESULT
	stdmethod get_FileConverters(pointer ppRetval),HRESULT
	stdmethod get_MailingLabel(pointer ppRetval),HRESULT
	stdmethod get_Dialogs(pointer ppRetval),HRESULT
	stdmethod get_CaptionLabels(pointer ppRetval),HRESULT
	stdmethod get_AutoCaptions(pointer ppRetval),HRESULT
	stdmethod get_AddIns(pointer ppRetval),HRESULT
	stdmethod get_Visible(pointer ppRetval),HRESULT
	stdmethod put_Visible(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Version(pointer ppRetval),HRESULT
	stdmethod get_ScreenUpdating(pointer ppRetval),HRESULT
	stdmethod put_ScreenUpdating(VARIANT_BOOL rhs),HRESULT
	stdmethod get_PrintPreview(pointer ppRetval),HRESULT
	stdmethod put_PrintPreview(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Tasks(pointer ppRetval),HRESULT
	stdmethod get_DisplayStatusBar(pointer ppRetval),HRESULT
	stdmethod put_DisplayStatusBar(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SpecialMode(pointer ppRetval),HRESULT
	stdmethod get_UsableWidth(pointer ppRetval),HRESULT
	stdmethod get_UsableHeight(pointer ppRetval),HRESULT
	stdmethod get_MathCoprocessorAvailable(pointer ppRetval),HRESULT
	stdmethod get_MouseAvailable(pointer ppRetval),HRESULT
	stdmethod get_International(WdInternationalIndex Index, pointer ppRetval),HRESULT
	stdmethod get_Build(pointer ppRetval),HRESULT
	stdmethod get_CapsLock(pointer ppRetval),HRESULT
	stdmethod get_NumLock(pointer ppRetval),HRESULT
	stdmethod get_UserName(pointer ppRetval),HRESULT
	stdmethod put_UserName(BSTR rhs),HRESULT
	stdmethod get_UserInitials(pointer ppRetval),HRESULT
	stdmethod put_UserInitials(BSTR rhs),HRESULT
	stdmethod get_UserAddress(pointer ppRetval),HRESULT
	stdmethod put_UserAddress(BSTR rhs),HRESULT
	stdmethod get_MacroContainer(pointer ppRetval),HRESULT
	stdmethod get_DisplayRecentFiles(pointer ppRetval),HRESULT
	stdmethod put_DisplayRecentFiles(VARIANT_BOOL rhs),HRESULT
	stdmethod get_CommandBars(pointer ppRetval),HRESULT
	stdmethod get_SynonymInfo(BSTR _Word, pointer LanguageID, pointer ppRetval),HRESULT
	stdmethod get_VBE(pointer ppRetval),HRESULT
	stdmethod get_DefaultSaveFormat(pointer ppRetval),HRESULT
	stdmethod put_DefaultSaveFormat(BSTR rhs),HRESULT
	stdmethod get_ListGalleries(pointer ppRetval),HRESULT
	stdmethod get_ActivePrinter(pointer ppRetval),HRESULT
	stdmethod put_ActivePrinter(BSTR rhs),HRESULT
	stdmethod get_Templates(pointer ppRetval),HRESULT
	stdmethod get_CustomizationContext(pointer ppRetval),HRESULT
	stdmethod put_CustomizationContext(pointer rhs),HRESULT
	stdmethod get_KeyBindings(pointer ppRetval),HRESULT
	stdmethod get_KeysBoundTo(WdKeyCategory KeyCategory, BSTR Command, pointer CommandParameter, pointer ppRetval),HRESULT
	stdmethod get_FindKey(long KeyCode, pointer KeyCode2, pointer ppRetval),HRESULT
	stdmethod get_Caption(pointer ppRetval),HRESULT
	stdmethod put_Caption(BSTR rhs),HRESULT
	stdmethod get_Path(pointer ppRetval),HRESULT
	stdmethod get_DisplayScrollBars(pointer ppRetval),HRESULT
	stdmethod put_DisplayScrollBars(VARIANT_BOOL rhs),HRESULT
	stdmethod get_StartupPath(pointer ppRetval),HRESULT
	stdmethod put_StartupPath(BSTR rhs),HRESULT
	stdmethod get_BackgroundSavingStatus(pointer ppRetval),HRESULT
	stdmethod get_BackgroundPrintingStatus(pointer ppRetval),HRESULT
	stdmethod get_Left(pointer ppRetval),HRESULT
	stdmethod put_Left(long rhs),HRESULT
	stdmethod get_Top(pointer ppRetval),HRESULT
	stdmethod put_Top(long rhs),HRESULT
	stdmethod get_Width(pointer ppRetval),HRESULT
	stdmethod put_Width(long rhs),HRESULT
	stdmethod get_Height(pointer ppRetval),HRESULT
	stdmethod put_Height(long rhs),HRESULT
	stdmethod get_WindowState(pointer ppRetval),HRESULT
	stdmethod put_WindowState(WdWindowState rhs),HRESULT
	stdmethod get_DisplayAutoCompleteTips(pointer ppRetval),HRESULT
	stdmethod put_DisplayAutoCompleteTips(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Options(pointer ppRetval),HRESULT
	stdmethod get_DisplayAlerts(pointer ppRetval),HRESULT
	stdmethod put_DisplayAlerts(WdAlertLevel rhs),HRESULT
	stdmethod get_CustomDictionaries(pointer ppRetval),HRESULT
	stdmethod get_PathSeparator(pointer ppRetval),HRESULT
	stdmethod put_StatusBar(BSTR rhs),HRESULT
	stdmethod get_MAPIAvailable(pointer ppRetval),HRESULT
	stdmethod get_DisplayScreenTips(pointer ppRetval),HRESULT
	stdmethod put_DisplayScreenTips(VARIANT_BOOL rhs),HRESULT
	stdmethod get_EnableCancelKey(pointer ppRetval),HRESULT
	stdmethod put_EnableCancelKey(WdEnableCancelKey rhs),HRESULT
	stdmethod get_UserControl(pointer ppRetval),HRESULT
	stdmethod get_FileSearch(pointer ppRetval),HRESULT
	stdmethod get_MailSystem(pointer ppRetval),HRESULT
	stdmethod get_DefaultTableSeparator(pointer ppRetval),HRESULT
	stdmethod put_DefaultTableSeparator(BSTR rhs),HRESULT
	stdmethod get_ShowVisualBasicEditor(pointer ppRetval),HRESULT
	stdmethod put_ShowVisualBasicEditor(VARIANT_BOOL rhs),HRESULT
	stdmethod get_BrowseExtraFileTypes(pointer ppRetval),HRESULT
	stdmethod put_BrowseExtraFileTypes(BSTR rhs),HRESULT
	stdmethod get_IsObjectValid(pointer Object, pointer ppRetval),HRESULT
	stdmethod get_HangulHanjaDictionaries(pointer ppRetval),HRESULT
	stdmethod get_MailMessage(pointer ppRetval),HRESULT
	stdmethod get_FocusInMailHeader(pointer ppRetval),HRESULT
	stdmethod Quit(pointer SaveChanges, pointer OriginalFormat, pointer RouteDocument),HRESULT
	stdmethod ScreenRefresh(),HRESULT
	stdmethod PrintOutOld(pointer Background, pointer Append, pointer Range, pointer OutputFileName, pointer From, pointer _To, pointer Item, pointer Copies, pointer Pages, pointer PageType, pointer PrintToFile, pointer Collate, pointer FileName, pointer ActivePrinterMacGX, pointer ManualDuplexPrint),HRESULT
	stdmethod LookupNameProperties(BSTR Name),HRESULT
	stdmethod SubstituteFont(BSTR UnavailableFont, BSTR SubstituteFont),HRESULT
	stdmethod Repeat(pointer Times, pointer ppRetval),HRESULT
	stdmethod DDEExecute(long Channel, BSTR Command),HRESULT
	stdmethod DDEInitiate(BSTR App, BSTR Topic, pointer ppRetval),HRESULT
	stdmethod DDEPoke(long Channel, BSTR Item, BSTR _Data),HRESULT
	stdmethod DDERequest(long Channel, BSTR Item, pointer ppRetval),HRESULT
	stdmethod DDETerminate(long Channel),HRESULT
	stdmethod DDETerminateAll(),HRESULT
	stdmethod BuildKeyCode(WdKey Arg1, pointer Arg2, pointer Arg3, pointer Arg4, pointer ppRetval),HRESULT
	stdmethod KeyString(long KeyCode, pointer KeyCode2, pointer ppRetval),HRESULT
	stdmethod OrganizerCopy(BSTR Source, BSTR Destination, BSTR Name, WdOrganizerObject Object),HRESULT
	stdmethod OrganizerDelete(BSTR Source, BSTR Name, WdOrganizerObject Object),HRESULT
	stdmethod OrganizerRename(BSTR Source, BSTR Name, BSTR NewName, WdOrganizerObject Object),HRESULT
	stdmethod AddAddress(pointer TagID, pointer Value),HRESULT
	stdmethod GetAddress(pointer Name, pointer AddressProperties, pointer UseAutoText, pointer DisplaySelectDialog, pointer SelectDialog, pointer CheckNamesDialog, pointer RecentAddressesChoice, pointer UpdateRecentAddresses, pointer ppRetval),HRESULT
	stdmethod CheckGrammar(BSTR _String, pointer ppRetval),HRESULT
	stdmethod CheckSpelling(BSTR _Word, pointer CustomDictionary, pointer IgnoreUppercase, pointer MainDictionary, pointer CustomDictionary2, pointer CustomDictionary3, pointer CustomDictionary4, pointer CustomDictionary5, pointer CustomDictionary6, pointer CustomDictionary7, pointer CustomDictionary8, pointer CustomDictionary9, pointer CustomDictionary10, pointer ppRetval),HRESULT
	stdmethod ResetIgnoreAll(),HRESULT
	stdmethod GetSpellingSuggestions(BSTR _Word, pointer CustomDictionary, pointer IgnoreUppercase, pointer MainDictionary, pointer SuggestionMode, pointer CustomDictionary2, pointer CustomDictionary3, pointer CustomDictionary4, pointer CustomDictionary5, pointer CustomDictionary6, pointer CustomDictionary7, pointer CustomDictionary8, pointer CustomDictionary9, pointer CustomDictionary10, pointer ppRetval),HRESULT
	stdmethod GoBack(),HRESULT
	stdmethod Help(pointer HelpType),HRESULT
	stdmethod AutomaticChange(),HRESULT
	stdmethod ShowMe(),HRESULT
	stdmethod HelpTool(),HRESULT
	stdmethod NewWindow(pointer ppRetval),HRESULT
	stdmethod ListCommands(VARIANT_BOOL ListAllCommands),HRESULT
	stdmethod ShowClipboard(),HRESULT
	stdmethod OnTime(pointer When, BSTR Name, pointer Tolerance),HRESULT
	stdmethod NextLetter(),HRESULT
	stdmethod MountVolume(BSTR Zone, BSTR Server, BSTR Volume, pointer User, pointer UserPassword, pointer VolumePassword, pointer ppRetval),HRESULT
	stdmethod CleanString(BSTR _String, pointer ppRetval),HRESULT
	stdmethod SendFax(),HRESULT
	stdmethod ChangeFileOpenDirectory(BSTR Path),HRESULT
	stdmethod RunOld(BSTR MacroName),HRESULT
	stdmethod GoForward(),HRESULT
	stdmethod _Move(long Left, long Top),HRESULT
	stdmethod Resize(long Width, long Height),HRESULT
	stdmethod InchesToPoints(float Inches, pointer ppRetval),HRESULT
	stdmethod CentimetersToPoints(float Centimeters, pointer ppRetval),HRESULT
	stdmethod MillimetersToPoints(float Millimeters, pointer ppRetval),HRESULT
	stdmethod PicasToPoints(float Picas, pointer ppRetval),HRESULT
	stdmethod LinesToPoints(float Lines, pointer ppRetval),HRESULT
	stdmethod PointsToInches(float Points, pointer ppRetval),HRESULT
	stdmethod PointsToCentimeters(float Points, pointer ppRetval),HRESULT
	stdmethod PointsToMillimeters(float Points, pointer ppRetval),HRESULT
	stdmethod PointsToPicas(float Points, pointer ppRetval),HRESULT
	stdmethod PointsToLines(float Points, pointer ppRetval),HRESULT
	stdmethod Activate(),HRESULT
	stdmethod PointsToPixels(float Points, pointer fVertical, pointer ppRetval),HRESULT
	stdmethod PixelsToPoints(float Pixels, pointer fVertical, pointer ppRetval),HRESULT
	stdmethod KeyboardLatin(),HRESULT
	stdmethod KeyboardBidi(),HRESULT
	stdmethod ToggleKeyboard(),HRESULT
	stdmethod Keyboard(long LangId = 0, pointer ppRetval),HRESULT
	stdmethod ProductCode(pointer ppRetval),HRESULT
	stdmethod DefaultWebOptions(pointer ppRetval),HRESULT
	stdmethod DiscussionSupport(pointer Range, pointer cid, pointer piCSE),HRESULT
	stdmethod SetDefaultTheme(BSTR Name, WdDocumentMedium DocumentType),HRESULT
	stdmethod GetDefaultTheme(WdDocumentMedium DocumentType, pointer ppRetval),HRESULT
	stdmethod get_EmailOptions(pointer ppRetval),HRESULT
	stdmethod get_Language(pointer ppRetval),HRESULT
	stdmethod get_COMAddIns(pointer ppRetval),HRESULT
	stdmethod get_CheckLanguage(pointer ppRetval),HRESULT
	stdmethod put_CheckLanguage(VARIANT_BOOL rhs),HRESULT
	stdmethod get_LanguageSettings(pointer ppRetval),HRESULT
	stdmethod get_Dummy1(pointer ppRetval),HRESULT
	stdmethod get_AnswerWizard(pointer ppRetval),HRESULT
	stdmethod get_FeatureInstall(pointer ppRetval),HRESULT
	stdmethod put_FeatureInstall(MsoFeatureInstall rhs),HRESULT
	stdmethod PrintOut2000(pointer Background, pointer Append, pointer Range, pointer OutputFileName, pointer From, pointer _To, pointer Item, pointer Copies, pointer Pages, pointer PageType, pointer PrintToFile, pointer Collate, pointer FileName, pointer ActivePrinterMacGX, pointer ManualDuplexPrint, pointer PrintZoomColumn, pointer PrintZoomRow, pointer PrintZoomPaperWidth, pointer PrintZoomPaperHeight),HRESULT
	stdmethod Run(BSTR MacroName, pointer varg1, pointer varg2, pointer varg3, pointer varg4, pointer varg5, pointer varg6, pointer varg7, pointer varg8, pointer varg9, pointer varg10, pointer varg11, pointer varg12, pointer varg13, pointer varg14, pointer varg15, pointer varg16, pointer varg17, pointer varg18, pointer varg19, pointer varg20, pointer varg21, pointer varg22, pointer varg23, pointer varg24, pointer varg25, pointer varg26, pointer varg27, pointer varg28, pointer varg29, pointer varg30, pointer ppRetval),HRESULT
	stdmethod PrintOut(pointer Background, pointer Append, pointer Range, pointer OutputFileName, pointer From, pointer _To, pointer Item, pointer Copies, pointer Pages, pointer PageType, pointer PrintToFile, pointer Collate, pointer FileName, pointer ActivePrinterMacGX, pointer ManualDuplexPrint, pointer PrintZoomColumn, pointer PrintZoomRow, pointer PrintZoomPaperWidth, pointer PrintZoomPaperHeight),HRESULT
	stdmethod get_AutomationSecurity(pointer ppRetval),HRESULT
	stdmethod put_AutomationSecurity(MsoAutomationSecurity rhs),HRESULT
	stdmethod get_FileDialog(MsoFileDialogType FileDialogType, pointer ppRetval),HRESULT
	stdmethod get_EmailTemplate(pointer ppRetval),HRESULT
	stdmethod put_EmailTemplate(BSTR rhs),HRESULT
	stdmethod get_ShowWindowsInTaskbar(pointer ppRetval),HRESULT
	stdmethod put_ShowWindowsInTaskbar(VARIANT_BOOL rhs),HRESULT
	stdmethod get_NewDocument(pointer ppRetval),HRESULT
	stdmethod get_ShowStartupDialog(pointer ppRetval),HRESULT
	stdmethod put_ShowStartupDialog(VARIANT_BOOL rhs),HRESULT
	stdmethod get_AutoCorrectEmail(pointer ppRetval),HRESULT
	stdmethod get_TaskPanes(pointer ppRetval),HRESULT
	stdmethod get_DefaultLegalBlackline(pointer ppRetval),HRESULT
	stdmethod put_DefaultLegalBlackline(VARIANT_BOOL rhs),HRESULT
	stdmethod Dummy2(pointer ppRetval),HRESULT
	stdmethod get_SmartTagRecognizers(pointer ppRetval),HRESULT
	stdmethod get_SmartTagTypes(pointer ppRetval),HRESULT
	stdmethod get_XMLNamespaces(pointer ppRetval),HRESULT
	stdmethod PutFocusInMailHeader(),HRESULT
	stdmethod get_ArbitraryXMLSupportAvailable(pointer ppRetval),HRESULT
endinterface

interface Documents
	stdmethod QueryInterface(pointer riid,pointer ppvObject),HRESULT
	stdmethod AddRef(),ULONG
	stdmethod Release(),ULONG
	stdmethod GetTypeInfoCount(pointer pctinfo),HRESULT
	stdmethod GetTypeInfo(UINT iTInfo,LCID lcid,pointer ppTInfo),HRESULT
	stdmethod GetIDsOfNames(pointer riid,pointer rgszNames,UINT cNames,LCID lcid,pointer rgDispId),HRESULT
	stdmethod Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,USHORT wFlags,pointer pDispParams,pointer pVarResult,pointer pExcepInfo,pointer puArgErr),HRESULT

	stdmethod get__NewEnum(pointer ppRetval),HRESULT
	stdmethod get_Count(pointer ppRetval),HRESULT
	stdmethod get_Application(pointer ppRetval),HRESULT
	stdmethod get_Creator(pointer ppRetval),HRESULT
	stdmethod get_Parent(pointer ppRetval),HRESULT
	stdmethod Item(pointer Index, pointer ppRetval),HRESULT
	stdmethod Close(pointer SaveChanges, pointer OriginalFormat, pointer RouteDocument),HRESULT
	stdmethod AddOld(pointer Template, pointer NewTemplate, pointer ppRetval),HRESULT
	stdmethod OpenOld(pointer FileName, pointer ConfirmConversions, pointer ReadOnly, pointer AddToRecentFiles, pointer PasswordDocument, pointer PasswordTemplate, pointer Revert, pointer WritePasswordDocument, pointer WritePasswordTemplate, pointer Format, pointer ppRetval),HRESULT
	stdmethod Save(pointer NoPrompt, pointer OriginalFormat),HRESULT
	stdmethod Add(pointer Template, pointer NewTemplate, pointer DocumentType, pointer Visible, pointer ppRetval),HRESULT
	stdmethod Open2000(pointer FileName, pointer ConfirmConversions, pointer ReadOnly, pointer AddToRecentFiles, pointer PasswordDocument, pointer PasswordTemplate, pointer Revert, pointer WritePasswordDocument, pointer WritePasswordTemplate, pointer Format, pointer Encoding, pointer Visible, pointer ppRetval),HRESULT
	stdmethod CheckOut(BSTR FileName),HRESULT
	stdmethod CanCheckOut(BSTR FileName, pointer ppRetval),HRESULT
	stdmethod Open2002(pointer FileName, pointer ConfirmConversions, pointer ReadOnly, pointer AddToRecentFiles, pointer PasswordDocument, pointer PasswordTemplate, pointer Revert, pointer WritePasswordDocument, pointer WritePasswordTemplate, pointer Format, pointer Encoding, pointer Visible, pointer OpenAndRepair, pointer DocumentDirection, pointer NoEncodingDialog, pointer ppRetval),HRESULT
	stdmethod Open(pointer FileName, pointer ConfirmConversions, pointer ReadOnly, pointer AddToRecentFiles, pointer PasswordDocument, pointer PasswordTemplate, pointer Revert, pointer WritePasswordDocument, pointer WritePasswordTemplate, pointer Format, pointer Encoding, pointer Visible, pointer OpenAndRepair, pointer DocumentDirection, pointer NoEncodingDialog, pointer XMLTransform, pointer ppRetval),HRESULT
endinterface

interface _Document
	stdmethod QueryInterface(pointer riid,pointer ppvObject),HRESULT
	stdmethod AddRef(),ULONG
	stdmethod Release(),ULONG
	stdmethod GetTypeInfoCount(pointer pctinfo),HRESULT
	stdmethod GetTypeInfo(UINT iTInfo,LCID lcid,pointer ppTInfo),HRESULT
	stdmethod GetIDsOfNames(pointer riid,pointer rgszNames,UINT cNames,LCID lcid,pointer rgDispId),HRESULT
	stdmethod Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,USHORT wFlags,pointer pDispParams,pointer pVarResult,pointer pExcepInfo,pointer puArgErr),HRESULT

	stdmethod get_Name(pointer ppRetval),HRESULT
	stdmethod get_Application(pointer ppRetval),HRESULT
	stdmethod get_Creator(pointer ppRetval),HRESULT
	stdmethod get_Parent(pointer ppRetval),HRESULT
	stdmethod get_BuiltInDocumentProperties(pointer ppRetval),HRESULT
	stdmethod get_CustomDocumentProperties(pointer ppRetval),HRESULT
	stdmethod get_Path(pointer ppRetval),HRESULT
	stdmethod get_Bookmarks(pointer ppRetval),HRESULT
	stdmethod get_Tables(pointer ppRetval),HRESULT
	stdmethod get_Footnotes(pointer ppRetval),HRESULT
	stdmethod get_Endnotes(pointer ppRetval),HRESULT
	stdmethod get_Comments(pointer ppRetval),HRESULT
	stdmethod get_Type(pointer ppRetval),HRESULT
	stdmethod get_AutoHyphenation(pointer ppRetval),HRESULT
	stdmethod put_AutoHyphenation(VARIANT_BOOL rhs),HRESULT
	stdmethod get_HyphenateCaps(pointer ppRetval),HRESULT
	stdmethod put_HyphenateCaps(VARIANT_BOOL rhs),HRESULT
	stdmethod get_HyphenationZone(pointer ppRetval),HRESULT
	stdmethod put_HyphenationZone(long rhs),HRESULT
	stdmethod get_ConsecutiveHyphensLimit(pointer ppRetval),HRESULT
	stdmethod put_ConsecutiveHyphensLimit(long rhs),HRESULT
	stdmethod get_Sections(pointer ppRetval),HRESULT
	stdmethod get_Paragraphs(pointer ppRetval),HRESULT
	stdmethod get_Words(pointer ppRetval),HRESULT
	stdmethod get_Sentences(pointer ppRetval),HRESULT
	stdmethod get_Characters(pointer ppRetval),HRESULT
	stdmethod get_Fields(pointer ppRetval),HRESULT
	stdmethod get_FormFields(pointer ppRetval),HRESULT
	stdmethod get_Styles(pointer ppRetval),HRESULT
	stdmethod get_Frames(pointer ppRetval),HRESULT
	stdmethod get_TablesOfFigures(pointer ppRetval),HRESULT
	stdmethod get_Variables(pointer ppRetval),HRESULT
	stdmethod get_MailMerge(pointer ppRetval),HRESULT
	stdmethod get_Envelope(pointer ppRetval),HRESULT
	stdmethod get_FullName(pointer ppRetval),HRESULT
	stdmethod get_Revisions(pointer ppRetval),HRESULT
	stdmethod get_TablesOfContents(pointer ppRetval),HRESULT
	stdmethod get_TablesOfAuthorities(pointer ppRetval),HRESULT
	stdmethod get_PageSetup(pointer ppRetval),HRESULT
	stdmethod put_PageSetup(pointer rhs),HRESULT
	stdmethod get_Windows(pointer ppRetval),HRESULT
	stdmethod get_HasRoutingSlip(pointer ppRetval),HRESULT
	stdmethod put_HasRoutingSlip(VARIANT_BOOL rhs),HRESULT
	stdmethod get_RoutingSlip(pointer ppRetval),HRESULT
	stdmethod get_Routed(pointer ppRetval),HRESULT
	stdmethod get_TablesOfAuthoritiesCategories(pointer ppRetval),HRESULT
	stdmethod get_Indexes(pointer ppRetval),HRESULT
	stdmethod get_Saved(pointer ppRetval),HRESULT
	stdmethod put_Saved(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Content(pointer ppRetval),HRESULT
	stdmethod get_ActiveWindow(pointer ppRetval),HRESULT
	stdmethod get_Kind(pointer ppRetval),HRESULT
	stdmethod put_Kind(WdDocumentKind rhs),HRESULT
	stdmethod get_ReadOnly(pointer ppRetval),HRESULT
	stdmethod get_Subdocuments(pointer ppRetval),HRESULT
	stdmethod get_IsMasterDocument(pointer ppRetval),HRESULT
	stdmethod get_DefaultTabStop(pointer ppRetval),HRESULT
	stdmethod put_DefaultTabStop(float rhs),HRESULT
	stdmethod get_EmbedTrueTypeFonts(pointer ppRetval),HRESULT
	stdmethod put_EmbedTrueTypeFonts(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SaveFormsData(pointer ppRetval),HRESULT
	stdmethod put_SaveFormsData(VARIANT_BOOL rhs),HRESULT
	stdmethod get_ReadOnlyRecommended(pointer ppRetval),HRESULT
	stdmethod put_ReadOnlyRecommended(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SaveSubsetFonts(pointer ppRetval),HRESULT
	stdmethod put_SaveSubsetFonts(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Compatibility(WdCompatibility _Type, pointer ppRetval),HRESULT
	stdmethod put_Compatibility(WdCompatibility _Type, VARIANT_BOOL rhs),HRESULT
	stdmethod get_StoryRanges(pointer ppRetval),HRESULT
	stdmethod get_CommandBars(pointer ppRetval),HRESULT
	stdmethod get_IsSubdocument(pointer ppRetval),HRESULT
	stdmethod get_SaveFormat(pointer ppRetval),HRESULT
	stdmethod get_ProtectionType(pointer ppRetval),HRESULT
	stdmethod get_Hyperlinks(pointer ppRetval),HRESULT
	stdmethod get_Shapes(pointer ppRetval),HRESULT
	stdmethod get_ListTemplates(pointer ppRetval),HRESULT
	stdmethod get_Lists(pointer ppRetval),HRESULT
	stdmethod get_UpdateStylesOnOpen(pointer ppRetval),HRESULT
	stdmethod put_UpdateStylesOnOpen(VARIANT_BOOL rhs),HRESULT
	stdmethod get_AttachedTemplate(pointer ppRetval),HRESULT
	stdmethod put_AttachedTemplate(pointer rhs),HRESULT
	stdmethod get_InlineShapes(pointer ppRetval),HRESULT
	stdmethod get_Background(pointer ppRetval),HRESULT
	stdmethod put_Background(pointer rhs),HRESULT
	stdmethod get_GrammarChecked(pointer ppRetval),HRESULT
	stdmethod put_GrammarChecked(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SpellingChecked(pointer ppRetval),HRESULT
	stdmethod put_SpellingChecked(VARIANT_BOOL rhs),HRESULT
	stdmethod get_ShowGrammaticalErrors(pointer ppRetval),HRESULT
	stdmethod put_ShowGrammaticalErrors(VARIANT_BOOL rhs),HRESULT
	stdmethod get_ShowSpellingErrors(pointer ppRetval),HRESULT
	stdmethod put_ShowSpellingErrors(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Versions(pointer ppRetval),HRESULT
	stdmethod get_ShowSummary(pointer ppRetval),HRESULT
	stdmethod put_ShowSummary(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SummaryViewMode(pointer ppRetval),HRESULT
	stdmethod put_SummaryViewMode(WdSummaryMode rhs),HRESULT
	stdmethod get_SummaryLength(pointer ppRetval),HRESULT
	stdmethod put_SummaryLength(long rhs),HRESULT
	stdmethod get_PrintFractionalWidths(pointer ppRetval),HRESULT
	stdmethod put_PrintFractionalWidths(VARIANT_BOOL rhs),HRESULT
	stdmethod get_PrintPostScriptOverText(pointer ppRetval),HRESULT
	stdmethod put_PrintPostScriptOverText(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Container(pointer ppRetval),HRESULT
	stdmethod get_PrintFormsData(pointer ppRetval),HRESULT
	stdmethod put_PrintFormsData(VARIANT_BOOL rhs),HRESULT
	stdmethod get_ListParagraphs(pointer ppRetval),HRESULT
	stdmethod put_Password(BSTR rhs),HRESULT
	stdmethod put_WritePassword(BSTR rhs),HRESULT
	stdmethod get_HasPassword(pointer ppRetval),HRESULT
	stdmethod get_WriteReserved(pointer ppRetval),HRESULT
	stdmethod get_ActiveWritingStyle(pointer LanguageID, pointer ppRetval),HRESULT
	stdmethod put_ActiveWritingStyle(pointer LanguageID, BSTR rhs),HRESULT
	stdmethod get_UserControl(pointer ppRetval),HRESULT
	stdmethod put_UserControl(VARIANT_BOOL rhs),HRESULT
	stdmethod get_HasMailer(pointer ppRetval),HRESULT
	stdmethod put_HasMailer(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Mailer(pointer ppRetval),HRESULT
	stdmethod get_ReadabilityStatistics(pointer ppRetval),HRESULT
	stdmethod get_GrammaticalErrors(pointer ppRetval),HRESULT
	stdmethod get_SpellingErrors(pointer ppRetval),HRESULT
	stdmethod get_VBProject(pointer ppRetval),HRESULT
	stdmethod get_FormsDesign(pointer ppRetval),HRESULT
	stdmethod get__CodeName(pointer ppRetval),HRESULT
	stdmethod put__CodeName(BSTR rhs),HRESULT
	stdmethod get_CodeName(pointer ppRetval),HRESULT
	stdmethod get_SnapToGrid(pointer ppRetval),HRESULT
	stdmethod put_SnapToGrid(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SnapToShapes(pointer ppRetval),HRESULT
	stdmethod put_SnapToShapes(VARIANT_BOOL rhs),HRESULT
	stdmethod get_GridDistanceHorizontal(pointer ppRetval),HRESULT
	stdmethod put_GridDistanceHorizontal(float rhs),HRESULT
	stdmethod get_GridDistanceVertical(pointer ppRetval),HRESULT
	stdmethod put_GridDistanceVertical(float rhs),HRESULT
	stdmethod get_GridOriginHorizontal(pointer ppRetval),HRESULT
	stdmethod put_GridOriginHorizontal(float rhs),HRESULT
	stdmethod get_GridOriginVertical(pointer ppRetval),HRESULT
	stdmethod put_GridOriginVertical(float rhs),HRESULT
	stdmethod get_GridSpaceBetweenHorizontalLines(pointer ppRetval),HRESULT
	stdmethod put_GridSpaceBetweenHorizontalLines(long rhs),HRESULT
	stdmethod get_GridSpaceBetweenVerticalLines(pointer ppRetval),HRESULT
	stdmethod put_GridSpaceBetweenVerticalLines(long rhs),HRESULT
	stdmethod get_GridOriginFromMargin(pointer ppRetval),HRESULT
	stdmethod put_GridOriginFromMargin(VARIANT_BOOL rhs),HRESULT
	stdmethod get_KerningByAlgorithm(pointer ppRetval),HRESULT
	stdmethod put_KerningByAlgorithm(VARIANT_BOOL rhs),HRESULT
	stdmethod get_JustificationMode(pointer ppRetval),HRESULT
	stdmethod put_JustificationMode(WdJustificationMode rhs),HRESULT
	stdmethod get_FarEastLineBreakLevel(pointer ppRetval),HRESULT
	stdmethod put_FarEastLineBreakLevel(WdFarEastLineBreakLevel rhs),HRESULT
	stdmethod get_NoLineBreakBefore(pointer ppRetval),HRESULT
	stdmethod put_NoLineBreakBefore(BSTR rhs),HRESULT
	stdmethod get_NoLineBreakAfter(pointer ppRetval),HRESULT
	stdmethod put_NoLineBreakAfter(BSTR rhs),HRESULT
	stdmethod get_TrackRevisions(pointer ppRetval),HRESULT
	stdmethod put_TrackRevisions(VARIANT_BOOL rhs),HRESULT
	stdmethod get_PrintRevisions(pointer ppRetval),HRESULT
	stdmethod put_PrintRevisions(VARIANT_BOOL rhs),HRESULT
	stdmethod get_ShowRevisions(pointer ppRetval),HRESULT
	stdmethod put_ShowRevisions(VARIANT_BOOL rhs),HRESULT
	stdmethod Close(pointer SaveChanges, pointer OriginalFormat, pointer RouteDocument),HRESULT
	stdmethod SaveAs2000(pointer FileName, pointer FileFormat, pointer LockComments, pointer Password, pointer AddToRecentFiles, pointer WritePassword, pointer ReadOnlyRecommended, pointer EmbedTrueTypeFonts, pointer SaveNativePictureFormat, pointer SaveFormsData, pointer SaveAsAOCELetter),HRESULT
	stdmethod Repaginate(),HRESULT
	stdmethod FitToPages(),HRESULT
	stdmethod ManualHyphenation(),HRESULT
	stdmethod _Select(),HRESULT
	stdmethod DataForm(),HRESULT
	stdmethod Route(),HRESULT
	stdmethod Save(),HRESULT
	stdmethod PrintOutOld(pointer Background, pointer Append, pointer Range, pointer OutputFileName, pointer From, pointer _To, pointer Item, pointer Copies, pointer Pages, pointer PageType, pointer PrintToFile, pointer Collate, pointer ActivePrinterMacGX, pointer ManualDuplexPrint),HRESULT
	stdmethod SendMail(),HRESULT
	stdmethod Range(pointer Start, pointer _End, pointer ppRetval),HRESULT
	stdmethod RunAutoMacro(WdAutoMacros Which),HRESULT
	stdmethod Activate(),HRESULT
	stdmethod PrintPreview(),HRESULT
	stdmethod _GoTo(pointer What, pointer Which, pointer Count, pointer Name, pointer ppRetval),HRESULT
	stdmethod Undo(pointer Times, pointer ppRetval),HRESULT
	stdmethod Redo(pointer Times, pointer ppRetval),HRESULT
	stdmethod ComputeStatistics(WdStatistic Statistic, pointer IncludeFootnotesAndEndnotes, pointer ppRetval),HRESULT
	stdmethod MakeCompatibilityDefault(),HRESULT
	stdmethod Protect2002(WdProtectionType _Type, pointer NoReset, pointer Password),HRESULT
	stdmethod Unprotect(pointer Password),HRESULT
	stdmethod EditionOptions(WdEditionType _Type, WdEditionOption Option, BSTR Name, pointer Format),HRESULT
	stdmethod RunLetterWizard(pointer LetterContent, pointer WizardMode),HRESULT
	stdmethod GetLetterContent(pointer ppRetval),HRESULT
	stdmethod SetLetterContent(pointer LetterContent),HRESULT
	stdmethod CopyStylesFromTemplate(BSTR Template),HRESULT
	stdmethod UpdateStyles(),HRESULT
	stdmethod CheckGrammar(),HRESULT
	stdmethod CheckSpelling(pointer CustomDictionary, pointer IgnoreUppercase, pointer AlwaysSuggest, pointer CustomDictionary2, pointer CustomDictionary3, pointer CustomDictionary4, pointer CustomDictionary5, pointer CustomDictionary6, pointer CustomDictionary7, pointer CustomDictionary8, pointer CustomDictionary9, pointer CustomDictionary10),HRESULT
	stdmethod FollowHyperlink(pointer Address, pointer SubAddress, pointer NewWindow, pointer AddHistory, pointer ExtraInfo, pointer Method, pointer HeaderInfo),HRESULT
	stdmethod AddToFavorites(),HRESULT
	stdmethod Reload(),HRESULT
	stdmethod AutoSummarize(pointer Length, pointer Mode, pointer UpdateProperties, pointer ppRetval),HRESULT
	stdmethod RemoveNumbers(pointer NumberType),HRESULT
	stdmethod ConvertNumbersToText(pointer NumberType),HRESULT
	stdmethod CountNumberedItems(pointer NumberType, pointer Level, pointer ppRetval),HRESULT
	stdmethod Post(),HRESULT
	stdmethod ToggleFormsDesign(),HRESULT
	stdmethod Compare2000(BSTR Name),HRESULT
	stdmethod UpdateSummaryProperties(),HRESULT
	stdmethod GetCrossReferenceItems(pointer ReferenceType, pointer ppRetval),HRESULT
	stdmethod AutoFormat(),HRESULT
	stdmethod ViewCode(),HRESULT
	stdmethod ViewPropertyBrowser(),HRESULT
	stdmethod ForwardMailer(),HRESULT
	stdmethod Reply(),HRESULT
	stdmethod ReplyAll(),HRESULT
	stdmethod SendMailer(pointer FileFormat, pointer Priority),HRESULT
	stdmethod UndoClear(),HRESULT
	stdmethod PresentIt(),HRESULT
	stdmethod SendFax(BSTR Address, pointer Subject),HRESULT
	stdmethod Merge2000(BSTR FileName),HRESULT
	stdmethod ClosePrintPreview(),HRESULT
	stdmethod CheckConsistency(),HRESULT
	stdmethod CreateLetterContent(BSTR DateFormat, VARIANT_BOOL IncludeHeaderFooter, BSTR PageDesign, WdLetterStyle LetterStyle, VARIANT_BOOL Letterhead, WdLetterheadLocation LetterheadLocation, float LetterheadSize, BSTR RecipientName, BSTR RecipientAddress, BSTR Salutation, WdSalutationType SalutationType, BSTR RecipientReference, BSTR MailingInstructions, BSTR AttentionLine, BSTR Subject, BSTR CCList, BSTR ReturnAddress, BSTR SenderName, BSTR Closing, BSTR SenderCompany, BSTR SenderJobTitle, BSTR SenderInitials, long EnclosureNumber, pointer InfoBlock, pointer RecipientCode, pointer RecipientGender, pointer ReturnAddressShortForm, pointer SenderCity, pointer SenderCode, pointer SenderGender, pointer SenderReference, pointer ppRetval),HRESULT
	stdmethod AcceptAllRevisions(),HRESULT
	stdmethod RejectAllRevisions(),HRESULT
	stdmethod DetectLanguage(),HRESULT
	stdmethod ApplyTheme(BSTR Name),HRESULT
	stdmethod RemoveTheme(),HRESULT
	stdmethod WebPagePreview(),HRESULT
	stdmethod ReloadAs(MsoEncoding Encoding),HRESULT
	stdmethod get_ActiveTheme(pointer ppRetval),HRESULT
	stdmethod get_ActiveThemeDisplayName(pointer ppRetval),HRESULT
	stdmethod get_Email(pointer ppRetval),HRESULT
	stdmethod get_Scripts(pointer ppRetval),HRESULT
	stdmethod get_LanguageDetected(pointer ppRetval),HRESULT
	stdmethod put_LanguageDetected(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FarEastLineBreakLanguage(pointer ppRetval),HRESULT
	stdmethod put_FarEastLineBreakLanguage(WdFarEastLineBreakLanguageID rhs),HRESULT
	stdmethod get_Frameset(pointer ppRetval),HRESULT
	stdmethod get_ClickAndTypeParagraphStyle(pointer ppRetval),HRESULT
	stdmethod put_ClickAndTypeParagraphStyle(pointer rhs),HRESULT
	stdmethod get_HTMLProject(pointer ppRetval),HRESULT
	stdmethod get_WebOptions(pointer ppRetval),HRESULT
	stdmethod get_OpenEncoding(pointer ppRetval),HRESULT
	stdmethod get_SaveEncoding(pointer ppRetval),HRESULT
	stdmethod put_SaveEncoding(MsoEncoding rhs),HRESULT
	stdmethod get_OptimizeForWord97(pointer ppRetval),HRESULT
	stdmethod put_OptimizeForWord97(VARIANT_BOOL rhs),HRESULT
	stdmethod get_VBASigned(pointer ppRetval),HRESULT
	stdmethod PrintOut2000(pointer Background, pointer Append, pointer Range, pointer OutputFileName, pointer From, pointer _To, pointer Item, pointer Copies, pointer Pages, pointer PageType, pointer PrintToFile, pointer Collate, pointer ActivePrinterMacGX, pointer ManualDuplexPrint, pointer PrintZoomColumn, pointer PrintZoomRow, pointer PrintZoomPaperWidth, pointer PrintZoomPaperHeight),HRESULT
	stdmethod sblt(BSTR s),HRESULT
	stdmethod ConvertVietDoc(long CodePageOrigin),HRESULT
	stdmethod PrintOut(pointer Background, pointer Append, pointer Range, pointer OutputFileName, pointer From, pointer _To, pointer Item, pointer Copies, pointer Pages, pointer PageType, pointer PrintToFile, pointer Collate, pointer ActivePrinterMacGX, pointer ManualDuplexPrint, pointer PrintZoomColumn, pointer PrintZoomRow, pointer PrintZoomPaperWidth, pointer PrintZoomPaperHeight),HRESULT
	stdmethod get_MailEnvelope(pointer ppRetval),HRESULT
	stdmethod get_DisableFeatures(pointer ppRetval),HRESULT
	stdmethod put_DisableFeatures(VARIANT_BOOL rhs),HRESULT
	stdmethod get_DoNotEmbedSystemFonts(pointer ppRetval),HRESULT
	stdmethod put_DoNotEmbedSystemFonts(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Signatures(pointer ppRetval),HRESULT
	stdmethod get_DefaultTargetFrame(pointer ppRetval),HRESULT
	stdmethod put_DefaultTargetFrame(BSTR rhs),HRESULT
	stdmethod get_HTMLDivisions(pointer ppRetval),HRESULT
	stdmethod get_DisableFeaturesIntroducedAfter(pointer ppRetval),HRESULT
	stdmethod put_DisableFeaturesIntroducedAfter(WdDisableFeaturesIntroducedAfter rhs),HRESULT
	stdmethod get_RemovePersonalInformation(pointer ppRetval),HRESULT
	stdmethod put_RemovePersonalInformation(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SmartTags(pointer ppRetval),HRESULT
	stdmethod Compare2002(BSTR Name, pointer AuthorName, pointer CompareTarget, pointer DetectFormatChanges, pointer IgnoreAllComparisonWarnings, pointer AddToRecentFiles),HRESULT
	stdmethod CheckIn(VARIANT_BOOL SaveChanges = VARIANT_TRUE, pointer Comments, VARIANT_BOOL MakePublic = VARIANT_FALSE),HRESULT
	stdmethod CanCheckin(pointer ppRetval),HRESULT
	stdmethod Merge(BSTR FileName, pointer MergeTarget, pointer DetectFormatChanges, pointer UseFormattingFrom, pointer AddToRecentFiles),HRESULT
	stdmethod get_EmbedSmartTags(pointer ppRetval),HRESULT
	stdmethod put_EmbedSmartTags(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SmartTagsAsXMLProps(pointer ppRetval),HRESULT
	stdmethod put_SmartTagsAsXMLProps(VARIANT_BOOL rhs),HRESULT
	stdmethod get_TextEncoding(pointer ppRetval),HRESULT
	stdmethod put_TextEncoding(MsoEncoding rhs),HRESULT
	stdmethod get_TextLineEnding(pointer ppRetval),HRESULT
	stdmethod put_TextLineEnding(WdLineEndingType rhs),HRESULT
	stdmethod SendForReview(pointer Recipients, pointer Subject, pointer ShowMessage, pointer IncludeAttachment),HRESULT
	stdmethod ReplyWithChanges(pointer ShowMessage),HRESULT
	stdmethod EndReview(),HRESULT
	stdmethod get_StyleSheets(pointer ppRetval),HRESULT
	stdmethod get_DefaultTableStyle(pointer ppRetval),HRESULT
	stdmethod get_PasswordEncryptionProvider(pointer ppRetval),HRESULT
	stdmethod get_PasswordEncryptionAlgorithm(pointer ppRetval),HRESULT
	stdmethod get_PasswordEncryptionKeyLength(pointer ppRetval),HRESULT
	stdmethod get_PasswordEncryptionFileProperties(pointer ppRetval),HRESULT
	stdmethod SetPasswordEncryptionOptions(BSTR PasswordEncryptionProvider, BSTR PasswordEncryptionAlgorithm, long PasswordEncryptionKeyLength, pointer PasswordEncryptionFileProperties),HRESULT
	stdmethod RecheckSmartTags(),HRESULT
	stdmethod RemoveSmartTags(),HRESULT
	stdmethod SetDefaultTableStyle(pointer Style, VARIANT_BOOL SetInTemplate),HRESULT
	stdmethod DeleteAllComments(),HRESULT
	stdmethod AcceptAllRevisionsShown(),HRESULT
	stdmethod RejectAllRevisionsShown(),HRESULT
	stdmethod DeleteAllCommentsShown(),HRESULT
	stdmethod ResetFormFields(),HRESULT
	stdmethod SaveAs(pointer FileName, pointer FileFormat, pointer LockComments, pointer Password, pointer AddToRecentFiles, pointer WritePassword, pointer ReadOnlyRecommended, pointer EmbedTrueTypeFonts, pointer SaveNativePictureFormat, pointer SaveFormsData, pointer SaveAsAOCELetter, pointer Encoding, pointer InsertLineBreaks, pointer AllowSubstitutions, pointer LineEnding, pointer AddBiDiMarks),HRESULT
	stdmethod get_EmbedLinguisticData(pointer ppRetval),HRESULT
	stdmethod put_EmbedLinguisticData(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FormattingShowFont(pointer ppRetval),HRESULT
	stdmethod put_FormattingShowFont(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FormattingShowClear(pointer ppRetval),HRESULT
	stdmethod put_FormattingShowClear(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FormattingShowParagraph(pointer ppRetval),HRESULT
	stdmethod put_FormattingShowParagraph(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FormattingShowNumbering(pointer ppRetval),HRESULT
	stdmethod put_FormattingShowNumbering(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FormattingShowFilter(pointer ppRetval),HRESULT
	stdmethod put_FormattingShowFilter(WdShowFilter rhs),HRESULT
	stdmethod CheckNewSmartTags(),HRESULT
	stdmethod get_Permission(pointer ppRetval),HRESULT
	stdmethod get_XMLNodes(pointer ppRetval),HRESULT
	stdmethod get_XMLSchemaReferences(pointer ppRetval),HRESULT
	stdmethod get_SmartDocument(pointer ppRetval),HRESULT
	stdmethod get_SharedWorkspace(pointer ppRetval),HRESULT
	stdmethod get_Sync(pointer ppRetval),HRESULT
	stdmethod get_EnforceStyle(pointer ppRetval),HRESULT
	stdmethod put_EnforceStyle(VARIANT_BOOL rhs),HRESULT
	stdmethod get_AutoFormatOverride(pointer ppRetval),HRESULT
	stdmethod put_AutoFormatOverride(VARIANT_BOOL rhs),HRESULT
	stdmethod get_XMLSaveDataOnly(pointer ppRetval),HRESULT
	stdmethod put_XMLSaveDataOnly(VARIANT_BOOL rhs),HRESULT
	stdmethod get_XMLHideNamespaces(pointer ppRetval),HRESULT
	stdmethod put_XMLHideNamespaces(VARIANT_BOOL rhs),HRESULT
	stdmethod get_XMLShowAdvancedErrors(pointer ppRetval),HRESULT
	stdmethod put_XMLShowAdvancedErrors(VARIANT_BOOL rhs),HRESULT
	stdmethod get_XMLUseXSLTWhenSaving(pointer ppRetval),HRESULT
	stdmethod put_XMLUseXSLTWhenSaving(VARIANT_BOOL rhs),HRESULT
	stdmethod get_XMLSaveThroughXSLT(pointer ppRetval),HRESULT
	stdmethod put_XMLSaveThroughXSLT(BSTR rhs),HRESULT
	stdmethod get_DocumentLibraryVersions(pointer ppRetval),HRESULT
	stdmethod get_ReadingModeLayoutFrozen(pointer ppRetval),HRESULT
	stdmethod put_ReadingModeLayoutFrozen(VARIANT_BOOL rhs),HRESULT
	stdmethod get_RemoveDateAndTime(pointer ppRetval),HRESULT
	stdmethod put_RemoveDateAndTime(VARIANT_BOOL rhs),HRESULT
	stdmethod SendFaxOverInternet(pointer Recipients, pointer Subject, pointer ShowMessage),HRESULT
	stdmethod TransformDocument(BSTR Path, VARIANT_BOOL DataOnly = VARIANT_TRUE),HRESULT
	stdmethod Protect(WdProtectionType _Type, pointer NoReset, pointer Password, pointer UseIRM, pointer EnforceStyleLock),HRESULT
	stdmethod SelectAllEditableRanges(pointer EditorID),HRESULT
	stdmethod DeleteAllEditableRanges(pointer EditorID),HRESULT
	stdmethod DeleteAllInkAnnotations(),HRESULT
	stdmethod AddDocumentWorkspaceHeader(VARIANT_BOOL RichFormat, BSTR Url, BSTR Title, BSTR Description, BSTR ID),HRESULT
	stdmethod RemoveDocumentWorkspaceHeader(BSTR ID),HRESULT
	stdmethod Compare(BSTR Name, pointer AuthorName, pointer CompareTarget, pointer DetectFormatChanges, pointer IgnoreAllComparisonWarnings, pointer AddToRecentFiles, pointer RemovePersonalInformation, pointer RemoveDateAndTime),HRESULT
	stdmethod RemoveLockedStyles(),HRESULT
	stdmethod get_ChildNodeSuggestions(pointer ppRetval),HRESULT
	stdmethod SelectSingleNode(BSTR XPath, BSTR PrefixMapping, VARIANT_BOOL FastSearchSkippingTextNodes = VARIANT_TRUE, pointer ppRetval),HRESULT
	stdmethod SelectNodes(BSTR XPath, BSTR PrefixMapping, VARIANT_BOOL FastSearchSkippingTextNodes = VARIANT_TRUE, pointer ppRetval),HRESULT
	stdmethod get_XMLSchemaViolations(pointer ppRetval),HRESULT
	stdmethod get_ReadingLayoutSizeX(pointer ppRetval),HRESULT
	stdmethod put_ReadingLayoutSizeX(long rhs),HRESULT
	stdmethod get_ReadingLayoutSizeY(pointer ppRetval),HRESULT
	stdmethod put_ReadingLayoutSizeY(long rhs),HRESULT
endinterface

interface Words
	stdmethod QueryInterface(pointer riid,pointer ppvObject),HRESULT
	stdmethod AddRef(),ULONG
	stdmethod Release(),ULONG
	stdmethod GetTypeInfoCount(pointer pctinfo),HRESULT
	stdmethod GetTypeInfo(UINT iTInfo,LCID lcid,pointer ppTInfo),HRESULT
	stdmethod GetIDsOfNames(pointer riid,pointer rgszNames,UINT cNames,LCID lcid,pointer rgDispId),HRESULT
	stdmethod Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,USHORT wFlags,pointer pDispParams,pointer pVarResult,pointer pExcepInfo,pointer puArgErr),HRESULT

	stdmethod get__NewEnum(pointer ppRetval),HRESULT
	stdmethod get_Count(pointer ppRetval),HRESULT
	stdmethod get_First(pointer ppRetval),HRESULT
	stdmethod get_Last(pointer ppRetval),HRESULT
	stdmethod get_Application(pointer ppRetval),HRESULT
	stdmethod get_Creator(pointer ppRetval),HRESULT
	stdmethod get_Parent(pointer ppRetval),HRESULT
	stdmethod Item(long Index, pointer ppRetval),HRESULT
endinterface

interface Range
	stdmethod QueryInterface(pointer riid,pointer ppvObject),HRESULT
	stdmethod AddRef(),ULONG
	stdmethod Release(),ULONG
	stdmethod GetTypeInfoCount(pointer pctinfo),HRESULT
	stdmethod GetTypeInfo(UINT iTInfo,LCID lcid,pointer ppTInfo),HRESULT
	stdmethod GetIDsOfNames(pointer riid,pointer rgszNames,UINT cNames,LCID lcid,pointer rgDispId),HRESULT
	stdmethod Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,USHORT wFlags,pointer pDispParams,pointer pVarResult,pointer pExcepInfo,pointer puArgErr),HRESULT

	stdmethod get_Text(pointer ppRetval),HRESULT
	stdmethod put_Text(BSTR rhs),HRESULT
	stdmethod get_FormattedText(pointer ppRetval),HRESULT
	stdmethod put_FormattedText(pointer rhs),HRESULT
	stdmethod get_Start(pointer ppRetval),HRESULT
	stdmethod put_Start(long rhs),HRESULT
	stdmethod get_End(pointer ppRetval),HRESULT
	stdmethod put_End(long rhs),HRESULT
	stdmethod get_Font(pointer ppRetval),HRESULT
	stdmethod put_Font(pointer rhs),HRESULT
	stdmethod get_Duplicate(pointer ppRetval),HRESULT
	stdmethod get_StoryType(pointer ppRetval),HRESULT
	stdmethod get_Tables(pointer ppRetval),HRESULT
	stdmethod get_Words(pointer ppRetval),HRESULT
	stdmethod get_Sentences(pointer ppRetval),HRESULT
	stdmethod get_Characters(pointer ppRetval),HRESULT
	stdmethod get_Footnotes(pointer ppRetval),HRESULT
	stdmethod get_Endnotes(pointer ppRetval),HRESULT
	stdmethod get_Comments(pointer ppRetval),HRESULT
	stdmethod get_Cells(pointer ppRetval),HRESULT
	stdmethod get_Sections(pointer ppRetval),HRESULT
	stdmethod get_Paragraphs(pointer ppRetval),HRESULT
	stdmethod get_Borders(pointer ppRetval),HRESULT
	stdmethod put_Borders(pointer rhs),HRESULT
	stdmethod get_Shading(pointer ppRetval),HRESULT
	stdmethod get_TextRetrievalMode(pointer ppRetval),HRESULT
	stdmethod put_TextRetrievalMode(pointer rhs),HRESULT
	stdmethod get_Fields(pointer ppRetval),HRESULT
	stdmethod get_FormFields(pointer ppRetval),HRESULT
	stdmethod get_Frames(pointer ppRetval),HRESULT
	stdmethod get_ParagraphFormat(pointer ppRetval),HRESULT
	stdmethod put_ParagraphFormat(pointer rhs),HRESULT
	stdmethod get_ListFormat(pointer ppRetval),HRESULT
	stdmethod get_Bookmarks(pointer ppRetval),HRESULT
	stdmethod get_Application(pointer ppRetval),HRESULT
	stdmethod get_Creator(pointer ppRetval),HRESULT
	stdmethod get_Parent(pointer ppRetval),HRESULT
	stdmethod get_Bold(pointer ppRetval),HRESULT
	stdmethod put_Bold(long rhs),HRESULT
	stdmethod get_Italic(pointer ppRetval),HRESULT
	stdmethod put_Italic(long rhs),HRESULT
	stdmethod get_Underline(pointer ppRetval),HRESULT
	stdmethod put_Underline(WdUnderline rhs),HRESULT
	stdmethod get_EmphasisMark(pointer ppRetval),HRESULT
	stdmethod put_EmphasisMark(WdEmphasisMark rhs),HRESULT
	stdmethod get_DisableCharacterSpaceGrid(pointer ppRetval),HRESULT
	stdmethod put_DisableCharacterSpaceGrid(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Revisions(pointer ppRetval),HRESULT
	stdmethod get_Style(pointer ppRetval),HRESULT
	stdmethod put_Style(pointer rhs),HRESULT
	stdmethod get_StoryLength(pointer ppRetval),HRESULT
	stdmethod get_LanguageID(pointer ppRetval),HRESULT
	stdmethod put_LanguageID(WdLanguageID rhs),HRESULT
	stdmethod get_SynonymInfo(pointer ppRetval),HRESULT
	stdmethod get_Hyperlinks(pointer ppRetval),HRESULT
	stdmethod get_ListParagraphs(pointer ppRetval),HRESULT
	stdmethod get_Subdocuments(pointer ppRetval),HRESULT
	stdmethod get_GrammarChecked(pointer ppRetval),HRESULT
	stdmethod put_GrammarChecked(VARIANT_BOOL rhs),HRESULT
	stdmethod get_SpellingChecked(pointer ppRetval),HRESULT
	stdmethod put_SpellingChecked(VARIANT_BOOL rhs),HRESULT
	stdmethod get_HighlightColorIndex(pointer ppRetval),HRESULT
	stdmethod put_HighlightColorIndex(WdColorIndex rhs),HRESULT
	stdmethod get_Columns(pointer ppRetval),HRESULT
	stdmethod get_Rows(pointer ppRetval),HRESULT
	stdmethod get_CanEdit(pointer ppRetval),HRESULT
	stdmethod get_CanPaste(pointer ppRetval),HRESULT
	stdmethod get_IsEndOfRowMark(pointer ppRetval),HRESULT
	stdmethod get_BookmarkID(pointer ppRetval),HRESULT
	stdmethod get_PreviousBookmarkID(pointer ppRetval),HRESULT
	stdmethod get_Find(pointer ppRetval),HRESULT
	stdmethod get_PageSetup(pointer ppRetval),HRESULT
	stdmethod put_PageSetup(pointer rhs),HRESULT
	stdmethod get_ShapeRange(pointer ppRetval),HRESULT
	stdmethod get_Case(pointer ppRetval),HRESULT
	stdmethod put_Case(WdCharacterCase rhs),HRESULT
	stdmethod get_Information(WdInformation _Type, pointer ppRetval),HRESULT
	stdmethod get_ReadabilityStatistics(pointer ppRetval),HRESULT
	stdmethod get_GrammaticalErrors(pointer ppRetval),HRESULT
	stdmethod get_SpellingErrors(pointer ppRetval),HRESULT
	stdmethod get_Orientation(pointer ppRetval),HRESULT
	stdmethod put_Orientation(WdTextOrientation rhs),HRESULT
	stdmethod get_InlineShapes(pointer ppRetval),HRESULT
	stdmethod get_NextStoryRange(pointer ppRetval),HRESULT
	stdmethod get_LanguageIDFarEast(pointer ppRetval),HRESULT
	stdmethod put_LanguageIDFarEast(WdLanguageID rhs),HRESULT
	stdmethod get_LanguageIDOther(pointer ppRetval),HRESULT
	stdmethod put_LanguageIDOther(WdLanguageID rhs),HRESULT
	stdmethod _Select(),HRESULT
	stdmethod SetRange(long Start, long _End),HRESULT
	stdmethod Collapse(pointer Direction),HRESULT
	stdmethod InsertBefore(BSTR Text),HRESULT
	stdmethod InsertAfter(BSTR Text),HRESULT
	stdmethod _Next(pointer Unit, pointer Count, pointer ppRetval),HRESULT
	stdmethod Previous(pointer Unit, pointer Count, pointer ppRetval),HRESULT
	stdmethod StartOf(pointer Unit, pointer Extend, pointer ppRetval),HRESULT
	stdmethod EndOf(pointer Unit, pointer Extend, pointer ppRetval),HRESULT
	stdmethod _Move(pointer Unit, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveStart(pointer Unit, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveEnd(pointer Unit, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveWhile(pointer Cset, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveStartWhile(pointer Cset, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveEndWhile(pointer Cset, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveUntil(pointer Cset, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveStartUntil(pointer Cset, pointer Count, pointer ppRetval),HRESULT
	stdmethod MoveEndUntil(pointer Cset, pointer Count, pointer ppRetval),HRESULT
	stdmethod Cut(),HRESULT
	stdmethod Copy(),HRESULT
	stdmethod Paste(),HRESULT
	stdmethod InsertBreak(pointer _Type),HRESULT
	stdmethod InsertFile(BSTR FileName, pointer Range, pointer ConfirmConversions, pointer Link, pointer Attachment),HRESULT
	stdmethod InStory(pointer Range, pointer ppRetval),HRESULT
	stdmethod InRange(pointer Range, pointer ppRetval),HRESULT
	stdmethod _Delete(pointer Unit, pointer Count, pointer ppRetval),HRESULT
	stdmethod WholeStory(),HRESULT
	stdmethod Expand(pointer Unit, pointer ppRetval),HRESULT
	stdmethod InsertParagraph(),HRESULT
	stdmethod InsertParagraphAfter(),HRESULT
	stdmethod ConvertToTableOld(pointer _Separator, pointer NumRows, pointer NumColumns, pointer InitialColumnWidth, pointer Format, pointer ApplyBorders, pointer ApplyShading, pointer ApplyFont, pointer ApplyColor, pointer ApplyHeadingRows, pointer ApplyLastRow, pointer ApplyFirstColumn, pointer ApplyLastColumn, pointer AutoFit, pointer ppRetval),HRESULT
	stdmethod InsertDateTimeOld(pointer DateTimeFormat, pointer InsertAsField, pointer InsertAsFullWidth),HRESULT
	stdmethod InsertSymbol(long CharacterNumber, pointer Font, pointer Unicode, pointer Bias),HRESULT
	stdmethod InsertCrossReference_2002(pointer ReferenceType, WdReferenceKind ReferenceKind, pointer ReferenceItem, pointer InsertAsHyperlink, pointer IncludePosition),HRESULT
	stdmethod InsertCaptionXP(pointer _Label, pointer Title, pointer TitleAutoText, pointer Position),HRESULT
	stdmethod CopyAsPicture(),HRESULT
	stdmethod SortOld(pointer ExcludeHeader, pointer FieldNumber, pointer SortFieldType, pointer SortOrder, pointer FieldNumber2, pointer SortFieldType2, pointer SortOrder2, pointer FieldNumber3, pointer SortFieldType3, pointer SortOrder3, pointer SortColumn, pointer _Separator, pointer CaseSensitive, pointer LanguageID),HRESULT
	stdmethod SortAscending(),HRESULT
	stdmethod SortDescending(),HRESULT
	stdmethod IsEqual(pointer Range, pointer ppRetval),HRESULT
	stdmethod Calculate(pointer ppRetval),HRESULT
	stdmethod _GoTo(pointer What, pointer Which, pointer Count, pointer Name, pointer ppRetval),HRESULT
	stdmethod GoToNext(WdGoToItem What, pointer ppRetval),HRESULT
	stdmethod GoToPrevious(WdGoToItem What, pointer ppRetval),HRESULT
	stdmethod PasteSpecial(pointer IconIndex, pointer Link, pointer Placement, pointer DisplayAsIcon, pointer DataType, pointer IconFileName, pointer IconLabel),HRESULT
	stdmethod LookupNameProperties(),HRESULT
	stdmethod ComputeStatistics(WdStatistic Statistic, pointer ppRetval),HRESULT
	stdmethod Relocate(long Direction),HRESULT
	stdmethod CheckSynonyms(),HRESULT
	stdmethod SubscribeTo(BSTR Edition, pointer Format),HRESULT
	stdmethod CreatePublisher(pointer Edition, pointer ContainsPICT, pointer ContainsRTF, pointer ContainsText),HRESULT
	stdmethod InsertAutoText(),HRESULT
	stdmethod InsertDatabase(pointer Format, pointer Style, pointer LinkToSource, pointer Connection, pointer SQLStatement, pointer SQLStatement1, pointer PasswordDocument, pointer PasswordTemplate, pointer WritePasswordDocument, pointer WritePasswordTemplate, pointer DataSource, pointer From, pointer _To, pointer IncludeFields),HRESULT
	stdmethod AutoFormat(),HRESULT
	stdmethod CheckGrammar(),HRESULT
	stdmethod CheckSpelling(pointer CustomDictionary, pointer IgnoreUppercase, pointer AlwaysSuggest, pointer CustomDictionary2, pointer CustomDictionary3, pointer CustomDictionary4, pointer CustomDictionary5, pointer CustomDictionary6, pointer CustomDictionary7, pointer CustomDictionary8, pointer CustomDictionary9, pointer CustomDictionary10),HRESULT
	stdmethod GetSpellingSuggestions(pointer CustomDictionary, pointer IgnoreUppercase, pointer MainDictionary, pointer SuggestionMode, pointer CustomDictionary2, pointer CustomDictionary3, pointer CustomDictionary4, pointer CustomDictionary5, pointer CustomDictionary6, pointer CustomDictionary7, pointer CustomDictionary8, pointer CustomDictionary9, pointer CustomDictionary10, pointer ppRetval),HRESULT
	stdmethod InsertParagraphBefore(),HRESULT
	stdmethod NextSubdocument(),HRESULT
	stdmethod PreviousSubdocument(),HRESULT
	stdmethod ConvertHangulAndHanja(pointer ConversionsMode, pointer FastConversion, pointer CheckHangulEnding, pointer EnableRecentOrdering, pointer CustomDictionary),HRESULT
	stdmethod PasteAsNestedTable(),HRESULT
	stdmethod ModifyEnclosure(pointer Style, pointer Symbol, pointer EnclosedText),HRESULT
	stdmethod PhoneticGuide(BSTR Text, WdPhoneticGuideAlignmentType Alignment = -1, long Raise = 0, long FontSize = 0, BSTR FontName = L""),HRESULT
	stdmethod InsertDateTime(pointer DateTimeFormat, pointer InsertAsField, pointer InsertAsFullWidth, pointer DateLanguage, pointer CalendarType),HRESULT
	stdmethod Sort(pointer ExcludeHeader, pointer FieldNumber, pointer SortFieldType, pointer SortOrder, pointer FieldNumber2, pointer SortFieldType2, pointer SortOrder2, pointer FieldNumber3, pointer SortFieldType3, pointer SortOrder3, pointer SortColumn, pointer _Separator, pointer CaseSensitive, pointer BidiSort, pointer IgnoreThe, pointer IgnoreKashida, pointer IgnoreDiacritics, pointer IgnoreHe, pointer LanguageID),HRESULT
	stdmethod DetectLanguage(),HRESULT
	stdmethod ConvertToTable(pointer _Separator, pointer NumRows, pointer NumColumns, pointer InitialColumnWidth, pointer Format, pointer ApplyBorders, pointer ApplyShading, pointer ApplyFont, pointer ApplyColor, pointer ApplyHeadingRows, pointer ApplyLastRow, pointer ApplyFirstColumn, pointer ApplyLastColumn, pointer AutoFit, pointer AutoFitBehavior, pointer DefaultTableBehavior, pointer ppRetval),HRESULT
	stdmethod TCSCConverter(WdTCSCConverterDirection WdTCSCConverterDirection = 2, VARIANT_BOOL CommonTerms = VARIANT_FALSE, VARIANT_BOOL UseVariants = VARIANT_FALSE),HRESULT
	stdmethod get_LanguageDetected(pointer ppRetval),HRESULT
	stdmethod put_LanguageDetected(VARIANT_BOOL rhs),HRESULT
	stdmethod get_FitTextWidth(pointer ppRetval),HRESULT
	stdmethod put_FitTextWidth(float rhs),HRESULT
	stdmethod get_HorizontalInVertical(pointer ppRetval),HRESULT
	stdmethod put_HorizontalInVertical(WdHorizontalInVerticalType rhs),HRESULT
	stdmethod get_TwoLinesInOne(pointer ppRetval),HRESULT
	stdmethod put_TwoLinesInOne(WdTwoLinesInOneType rhs),HRESULT
	stdmethod get_CombineCharacters(pointer ppRetval),HRESULT
	stdmethod put_CombineCharacters(VARIANT_BOOL rhs),HRESULT
	stdmethod get_NoProofing(pointer ppRetval),HRESULT
	stdmethod put_NoProofing(long rhs),HRESULT
	stdmethod get_TopLevelTables(pointer ppRetval),HRESULT
	stdmethod get_Scripts(pointer ppRetval),HRESULT
	stdmethod get_CharacterWidth(pointer ppRetval),HRESULT
	stdmethod put_CharacterWidth(WdCharacterWidth rhs),HRESULT
	stdmethod get_Kana(pointer ppRetval),HRESULT
	stdmethod put_Kana(WdKana rhs),HRESULT
	stdmethod get_BoldBi(pointer ppRetval),HRESULT
	stdmethod put_BoldBi(long rhs),HRESULT
	stdmethod get_ItalicBi(pointer ppRetval),HRESULT
	stdmethod put_ItalicBi(long rhs),HRESULT
	stdmethod get_ID(pointer ppRetval),HRESULT
	stdmethod put_ID(BSTR rhs),HRESULT
	stdmethod get_HTMLDivisions(pointer ppRetval),HRESULT
	stdmethod get_SmartTags(pointer ppRetval),HRESULT
	stdmethod get_ShowAll(pointer ppRetval),HRESULT
	stdmethod put_ShowAll(VARIANT_BOOL rhs),HRESULT
	stdmethod get_Document(pointer ppRetval),HRESULT
	stdmethod get_FootnoteOptions(pointer ppRetval),HRESULT
	stdmethod get_EndnoteOptions(pointer ppRetval),HRESULT
	stdmethod PasteAndFormat(WdRecoveryType _Type),HRESULT
	stdmethod PasteExcelTable(VARIANT_BOOL LinkedToExcel, VARIANT_BOOL WordFormatting, VARIANT_BOOL RTF),HRESULT
	stdmethod PasteAppendTable(),HRESULT
	stdmethod get_XMLNodes(pointer ppRetval),HRESULT
	stdmethod get_XMLParentNode(pointer ppRetval),HRESULT
	stdmethod get_Editors(pointer ppRetval),HRESULT
	stdmethod get_XML(VARIANT_BOOL DataOnly = VARIANT_FALSE, pointer ppRetval),HRESULT
	stdmethod get_EnhMetaFileBits(pointer ppRetval),HRESULT
	stdmethod GoToEditableRange(pointer EditorID, pointer ppRetval),HRESULT
	stdmethod InsertXML(BSTR XML, pointer Transform),HRESULT
	stdmethod InsertCaption(pointer _Label, pointer Title, pointer TitleAutoText, pointer Position, pointer ExcludeLabel),HRESULT
	stdmethod InsertCrossReference(pointer ReferenceType, WdReferenceKind ReferenceKind, pointer ReferenceItem, pointer InsertAsHyperlink, pointer IncludePosition, pointer SeparateNumbers, pointer SeparatorString),HRESULT
endinterface

interface _Font
	stdmethod QueryInterface(pointer riid,pointer ppvObject),HRESULT
	stdmethod AddRef(),ULONG
	stdmethod Release(),ULONG
	stdmethod GetTypeInfoCount(pointer pctinfo),HRESULT
	stdmethod GetTypeInfo(UINT iTInfo,LCID lcid,pointer ppTInfo),HRESULT
	stdmethod GetIDsOfNames(pointer riid,pointer rgszNames,UINT cNames,LCID lcid,pointer rgDispId),HRESULT
	stdmethod Invoke(DISPID dispIdMember,REFIID riid,LCID lcid,USHORT wFlags,pointer pDispParams,pointer pVarResult,pointer pExcepInfo,pointer puArgErr),HRESULT

	stdmethod get_Application(pointer ppRetval),HRESULT
	stdmethod get_Creator(pointer ppRetval),HRESULT
	stdmethod get_Parent(pointer ppRetval),HRESULT
	stdmethod get_Duplicate(pointer ppRetval),HRESULT
	stdmethod get_Bold(pointer ppRetval),HRESULT
	stdmethod put_Bold(long rhs),HRESULT
	stdmethod get_Italic(pointer ppRetval),HRESULT
	stdmethod put_Italic(long rhs),HRESULT
	stdmethod get_Hidden(pointer ppRetval),HRESULT
	stdmethod put_Hidden(long rhs),HRESULT
	stdmethod get_SmallCaps(pointer ppRetval),HRESULT
	stdmethod put_SmallCaps(long rhs),HRESULT
	stdmethod get_AllCaps(pointer ppRetval),HRESULT
	stdmethod put_AllCaps(long rhs),HRESULT
	stdmethod get_StrikeThrough(pointer ppRetval),HRESULT
	stdmethod put_StrikeThrough(long rhs),HRESULT
	stdmethod get_DoubleStrikeThrough(pointer ppRetval),HRESULT
	stdmethod put_DoubleStrikeThrough(long rhs),HRESULT
	stdmethod get_ColorIndex(pointer ppRetval),HRESULT
	stdmethod put_ColorIndex(WdColorIndex rhs),HRESULT
	stdmethod get_Subscript(pointer ppRetval),HRESULT
	stdmethod put_Subscript(long rhs),HRESULT
	stdmethod get_Superscript(pointer ppRetval),HRESULT
	stdmethod put_Superscript(long rhs),HRESULT
	stdmethod get_Underline(pointer ppRetval),HRESULT
	stdmethod put_Underline(WdUnderline rhs),HRESULT
	stdmethod get_Size(pointer ppRetval),HRESULT
	stdmethod put_Size(float rhs),HRESULT
	stdmethod get_Name(pointer ppRetval),HRESULT
	stdmethod put_Name(BSTR rhs),HRESULT
	stdmethod get_Position(pointer ppRetval),HRESULT
	stdmethod put_Position(long rhs),HRESULT
	stdmethod get_Spacing(pointer ppRetval),HRESULT
	stdmethod put_Spacing(float rhs),HRESULT
	stdmethod get_Scaling(pointer ppRetval),HRESULT
	stdmethod put_Scaling(long rhs),HRESULT
	stdmethod get_Shadow(pointer ppRetval),HRESULT
	stdmethod put_Shadow(long rhs),HRESULT
	stdmethod get_Outline(pointer ppRetval),HRESULT
	stdmethod put_Outline(long rhs),HRESULT
	stdmethod get_Emboss(pointer ppRetval),HRESULT
	stdmethod put_Emboss(long rhs),HRESULT
	stdmethod get_Kerning(pointer ppRetval),HRESULT
	stdmethod put_Kerning(float rhs),HRESULT
	stdmethod get_Engrave(pointer ppRetval),HRESULT
	stdmethod put_Engrave(long rhs),HRESULT
	stdmethod get_Animation(pointer ppRetval),HRESULT
	stdmethod put_Animation(WdAnimation rhs),HRESULT
	stdmethod get_Borders(pointer ppRetval),HRESULT
	stdmethod put_Borders(pointer rhs),HRESULT
	stdmethod get_Shading(pointer ppRetval),HRESULT
	stdmethod get_EmphasisMark(pointer ppRetval),HRESULT
	stdmethod put_EmphasisMark(WdEmphasisMark rhs),HRESULT
	stdmethod get_DisableCharacterSpaceGrid(pointer ppRetval),HRESULT
	stdmethod put_DisableCharacterSpaceGrid(VARIANT_BOOL rhs),HRESULT
	stdmethod get_NameFarEast(pointer ppRetval),HRESULT
	stdmethod put_NameFarEast(BSTR rhs),HRESULT
	stdmethod get_NameAscii(pointer ppRetval),HRESULT
	stdmethod put_NameAscii(BSTR rhs),HRESULT
	stdmethod get_NameOther(pointer ppRetval),HRESULT
	stdmethod put_NameOther(BSTR rhs),HRESULT
	stdmethod Grow(),HRESULT
	stdmethod Shrink(),HRESULT
	stdmethod Reset(),HRESULT
	stdmethod SetAsTemplateDefault(),HRESULT
	stdmethod get_Color(pointer ppRetval),HRESULT
	stdmethod put_Color(WdColor rhs),HRESULT
	stdmethod get_BoldBi(pointer ppRetval),HRESULT
	stdmethod put_BoldBi(long rhs),HRESULT
	stdmethod get_ItalicBi(pointer ppRetval),HRESULT
	stdmethod put_ItalicBi(long rhs),HRESULT
	stdmethod get_SizeBi(pointer ppRetval),HRESULT
	stdmethod put_SizeBi(float rhs),HRESULT
	stdmethod get_NameBi(pointer ppRetval),HRESULT
	stdmethod put_NameBi(BSTR rhs),HRESULT
	stdmethod get_ColorIndexBi(pointer ppRetval),HRESULT
	stdmethod put_ColorIndexBi(WdColorIndex rhs),HRESULT
	stdmethod get_DiacriticColor(pointer ppRetval),HRESULT
	stdmethod put_DiacriticColor(WdColor rhs),HRESULT
	stdmethod get_UnderlineColor(pointer ppRetval),HRESULT
	stdmethod put_UnderlineColor(WdColor rhs),HRESULT
endinterface
